¿Cómo puedo degradar mi versión de SDK?

Cometí un error estúpido al actualizar mi versión de SDK a r15 porque el repository de Android no se estaba cargando. ¿Cómo puedo volver a mi versión anterior r10? ¿O es mejor quedarse con la versión más nueva? Tendré que actualizar mi complemento ADT también entonces. Muchas gracias.

    De todos modos, para aquellos que quieran degradar las herramientas de Android SDK a una versión anterior, es posible seguir estos pasos:

    1. Encuentra tu carpeta Android SDK
    2. Ubique la subcarpeta “herramientas” y renómbrela a “herramientas1” (solo para mantener una copia de seguridad de la carpeta de herramientas original)
    3. Del mismo modo, cambie el nombre de las herramientas de plataforma a plataforma-herramientas1
    4. Descargue del repository de google la versión de la Herramienta SDK a la que desea degradar (por ejemplo: http://dl-ssl.google.com/android/repository/tools_r22.6.2-macosx.zip ) y descomprímalo.
    5. El archivo ZIP que descargó contiene una carpeta de herramientas que se debe mover a su carpeta Android SDK.
    6. Del mismo modo, descargue las herramientas de la plataforma (por ejemplo: http://dl-ssl.google.com/android/repository/platform-tools_r19.0.1-macosx.zip ) y extráigalas en su carpeta SDK.

    Eso es.

    Quiero hacer un seguimiento de la gran respuesta proporcionada por Ariel Iriarte, paso 3 ( Descargar desde el repository de google la versión de la Herramienta SDK a la que desea degradar ).

    Para encontrar las herramientas antiguas, debe determinar el número de versión del SDK al que desea revertir. En la página web de Google Android SDK, encontrará una lista de Revisiones que muestra todos los números de SDK, por ej.

    • SDK Tools, Revisión 22.6.2 (marzo de 2014)
    • SDK Tools, revisión 22.3 (octubre de 2013)
    • etc.

    Anote el número de revisión exacto , como “22.3”.

    Ahora descargue las herramientas usando el siguiente patrón:

    donde debe reemplazar a XXX con el número de revisión exacto indicado anteriormente. Por ejemplo, para descargar la revisión 22.0.5 para Mac OS X, descargue el archivo:

    http://dl-ssl.google.com/android/repository/tools_r22.0.5-macosx.zip

    Una vez que descargue el archivo y lo descomprima, encontrará una sola carpeta llamada ‘herramientas’. Ahora sigue la respuesta de Ariel Iriarte y reemplaza tu carpeta android-sdk / tools con esta nueva. Esta es la carpeta que contiene cosas como:

    • NOTICE.txt
    • adb_has_moved.txt
    • android
    • ant
    • aplicaciones
    • ddms
    • dmtracedump
    • etc.

    Algunos de ustedes probablemente encontraron este hilo debido a las versiones inestables de Android-Tools empujadas (exclusivamente) desde la versión estable 22.3. Esto causa un ‘cuelgue’ en el emulador en la “Pantalla de animación / salpicadura de Android” en la API anterior a la versión 19 de Intel, y una “excepción de punto flotante” para Intel API-19. Las versiones ARM aún funcionan, aunque más lentamente en las máquinas Intel que usan la aceleración.

    Para responder a las preguntas de “cómo encontrar las versiones anteriores que no figuran en la GUI”, o presente en el xml actual que lo alimenta ( https://dl-ssl.google.com/android/repository/repository-8.xml ), en los comentarios anteriores, no tengo idea de cómo se pueden ubicar (por favor, ilumíname).

    Afortunadamente, alguien que reportó el error publicó un enlace directo a las versiones de Linux y Windows de la versión estable 22.3 en este hilo:

    https://code.google.com/p/android/issues/detail?id=66786 … que son:

    http://dl.google.com/android/android-sdk_r22.3-linux.tgz

    http://dl.google.com/android/android-sdk_r22.3-windows.zip

    Estos también existen en ubicaciones no oficiales en la web, en caso de que se reduzcan, junto con las referencias ahora desaparecidas.

    Después de extraer ese archivo, tendrá la carpeta “Herramientas” que necesita para reemplazar la que está rota, según las instrucciones anteriores de Ariel Iriarte (aunque cambié el nombre de la carpeta ‘Herramientas’ existente que implicaba la letra ‘f’ – días en este problema) .

    Para evitar que este problema vuelva a ocurrir, NO cuente con el método incorporado en Eclipse / Android-SDK para volver a una instalación anterior, ni para que las versiones anteriores de cualquier archivo proporcionado por Google estén disponibles. , Ever, en el futuro Haz una copia de seguridad de todo tu árbol ‘sdks de Android’ antes de instalar cualquier cosa.

    Puede instalar varios SDK y configurar el SDK predeterminado editando las propiedades en el proyecto de Android.

    La solución simple es:

    1- Ve a tu graddle-wrapper.properties luego cambia esta línea como lo desees:

    distributionUrl = https: //services.gradle.org/distributions/gradle-4.4-all.zip

    2- Vaya a Archivo> Estructura del proyecto> Proyecto y luego cambie la versión de Gradle y la versión del complemento de Gradle.

    3- Luego sincroniza tu proyecto

    Hecho.